/*
 * CryptFactory.java
 * CryptFactory is used to generate new Crypt objects.
 *
 * Created on November 22, 2004, 4:23 PM
 */

package sim;

/**
 *
 * @author  dchao
 */
public class CryptFactory {
  protected static CryptFactory _factory = null;

  public static CryptFactory getFactory() { 
    if (_factory==null)
      _factory = new CryptFactory();
    return _factory;
  }

  public Crypt createCrypt() {
    return new Crypt();
  }
}
